[BLFS Trac] #2138: PCI Utilities-2.2.4

BLFS Trac trac at linuxfromscratch.org
Wed Oct 18 04:40:54 PDT 2006


#2138: PCI Utilities-2.2.4
----------------------------------------+-----------------------------------
 Reporter:  randy at linuxfromscratch.org  |        Owner:  blfs-book at linuxfromscratch.org
     Type:  task                        |       Status:  new                           
 Priority:  normal                      |    Milestone:  6.2                           
Component:  BOOK                        |      Version:  SVN                           
 Severity:  normal                      |   Resolution:                                
 Keywords:                              |  
----------------------------------------+-----------------------------------
Comment (by alexander at linuxfromscratch.org):

 Upgrading to version 2.2.4 will breaks the build of applications that link
 to libpci.a (such as ddccontrol and vbetool). The fix is to link them also
 to zlib. Typically, this is done by prepending LIBS="-lz" in front of the
 ./configure line of the relevant package. I will fix ddccontrol in the
 Wiki, but the packages in BLFS must be retested individually.

 FIXME: how do I know that the retesting process finished? Or is it a
 better idea, due to the expected breakage, to retarget the ticket
 post-6.2?

-- 
Ticket URL: <http://wiki.linuxfromscratch.org/blfs/ticket/2138>
BLFS Trac <http://wiki.linuxfromscratch.org/blfs>
Beyond Linux From Scratch



More information about the blfs-book mailing list